# EvDiscount

## Events

### EvDiscount.Component.DiscountCodes.codeAdded

When a discount code has been successfully validated, this event is triggered. Your code will need to listen for this event and then apply as needed.

EvBasket comes with this listener built in if EvDiscount is detected, this listener will take the code and check any code restrictions are met (correct protects are in the basket) and that the min order is met.

#### Parameters

* `code` - The actual code used
* `data` - Full data array of the code and code restrictions
